#include <iostream>
#include <cmath>
using namespace std;
long long resenje[6];
long long int broj[3];
int i;

int spoj(long long int a,long long int b,long long int c){
	
	int bk=b;
	long long int d,as=1,ad=1;
	do{
		a=a*10;
		as=as*10;
	}while(b % as != b);
	
	 d=a+b;
	 do{
	 	d=d*10;
	 	ad=ad*10;
	 }while(c % ad != c);
	 
	 return d+c;

}
int main(){
int max=0;
for(i=0; i<3; i++){
	cin>>broj[i];
	
}

resenje[0]=spoj(broj[0],broj[1],broj[2]);
resenje[1]=spoj(broj[0],broj[2],broj[1]);
resenje[2]=spoj(broj[1],broj[0],broj[2]);
resenje[3]=spoj(broj[1],broj[2],broj[0]);
resenje[4]=spoj(broj[2],broj[1],broj[0]);
resenje[5]=spoj(broj[2],broj[0],broj[1]);

for(i=0; i<6; i++){
	if(max < resenje[i]){
		max=resenje[i];
	}
}

cout<<max;
return 0;
}